Skip to content

Quadified APIs

Use this page as a compact endpoint reference for the Quadified API. For runnable examples with copy buttons, open cURL Commands.

API credentials are unique per customer and environment. If you need a clientId and clientSecret, contact support@quadified.com with your customer/project name, target environment, requester email, and intended API usage.

agentconfig

/api/v2/agentconfig 📋 Copied! Download Agent configuration for a Test Node

Parameters

Name Description
label * The label of the Test Node.
Type: string (query)

Responses

Code Description
200

Agent configuration file for the Test Node with the given label.

Media type: application/json

Example Value:

{
    "identityPoolId": "string",
    "bypassServerUrl": "string",
    "sqsUrl": "string",
    "deploymentName": "string"
}
404

Resource was not found.

Media type: application/json

Example Value:

{
    "identityPoolId": "string",
    "bypassServerUrl": "string",
    "sqsUrl": "string",
    "deploymentName": "string"
}

changelog

/api/v2/changelogs 📋 Copied! List Change Logs for an entity

Parameters

Name Description
entityId * The ID of the Entity.
Type: integer (query)
entityName * The Name/Type of the Entity.
Type: string (query)
page The page to list entries.
Type: string (query)
Default value: 0
size The page size for listing entries.
Type: string (query)
Default value: 20
sort The sort type for listing entries.
Type: string (query)

Responses

Code Description
200

OK

Media type: application/json

Example Value:

{
    "totalElements": 0,
    "totalPages": 0,
    "number": 0,
    "sort": {
        "sorted": true,
        "unsorted": true,
        "empty": true
    },
    "size": 0,
    "content": [
        {
            "state": "string",
            "created": "string",
            "userName": "string"
        }
    ],
    "first": true,
    "last": true,
    "pageable": {
        "sort": {
            "sorted": true,
            "unsorted": true,
            "empty": true
        }
    }
}

testexecutions

/api/v2/testexecutions/{id}/rerun 📋 Copied! Re-run a Test Execution

Parameters

Name Description
id * Numeric ID of the Test Execution.
Type: integer (path)

Responses

Code Description
200

ID of the Test Execution.

Media type: application/json

Example Value:

{
    "id": 0
}
404

Resource was not found.

Media type: application/json

Example Value:

{
    "id": 0
}
409

Test Execution cannot be started.

Media type: application/json

Example Value:

{
    "id": 0
}
/api/v2/testexecutions/{id} 📋 Copied! Get Test Execution

Parameters

Name Description
id * Numeric ID of the Test Execution.
Type: integer (path)

Responses

Code Description
200

Test Execution data.

Media type: application/json

Example Value:

{
  "id": 0,
  "created": "string",
  "start": "string",
  "end": "string",
  "testSuite": {
    "id": 0,
    "name": "string",
    "testCases": [
      {
        "id": 0,
        "name": "string",
        "description": "string",
        "testCaseMobiles": [
          "string"
        ]
      }
    ]
  },
  "rerunTestExecutionId": 0,
  "result": {
    "created": "string",
    "successRatio": "string",
    "traceAvailable": true,
    "resultList": [
      {
        "success": true,
        "errorCode": "SUCCESS",
        "testCaseId": 0,
        "testCaseName": "string",
        "testCaseDescription": "string",
        "testCaseWeight": 0,
        "traceFile": "string",
        "logs": [
          {
            "success": true,
            "stepNumber": 0,
            "mobileDeviceName": "string",
            "description": "string",
            "fileKey": "string",
            "created": "string",
            "logType": "string"
          }
        ]
      }
    ]
  }
}
404

Resource was not found.

Media type: application/json

Example Value:

{
  "id": 0,
  "created": "string",
  "start": "string",
  "end": "string",
  "testSuite": {
    "id": 0,
    "name": "string",
    "testCases": [
      {
        "id": 0,
        "name": "string",
        "description": "string",
        "testCaseMobiles": [
          "string"
        ]
      }
    ]
  },
  "rerunTestExecutionId": 0,
  "result": {
    "created": "string",
    "successRatio": "string",
    "traceAvailable": true,
    "resultList": [
      {
        "success": true,
        "errorCode": "SUCCESS",
        "testCaseId": 0,
        "testCaseName": "string",
        "testCaseDescription": "string",
        "testCaseWeight": 0,
        "traceFile": "string",
        "logs": [
          {
            "success": true,
            "stepNumber": 0,
            "mobileDeviceName": "string",
            "description": "string",
            "fileKey": "string",
            "created": "string",
            "logType": "string"
          }
        ]
      }
    ]
  }
}
/api/v2/testexecutions/{id} 📋 Copied! Delete a Test Execution

Parameters

Name Description
id * Numeric ID of the Test Execution.
Type: integer (path)

Responses

Code Description
200 Test Execution was deleted successfully.
404 Resource was not found.
409 Resource cannot be deleted.
/api/v2/testexecutions 📋 Copied! List Test Executions's

Parameters

Name Description
page The page to list entries.
Type: string (query)
Default value: 0
size The page size for listing entries.
Type: string (query)
Default value: 20
sort The sort type for listing entries.
Type: string (query)
prj The project list for filtering entries.
Type: string (query)
start The start timestamp for listing entries.
Type: string (query)
end The end timestamp for listing entries.
Type: string (query)
search The search text for listing entries.
Type: string (query)

Responses

Code Description
200

OK

Media type: application/json

Example Value:

{
  "totalElements": 0,
  "totalPages": 0,
  "number": 0,
  "sort": {
    "sorted": true,
    "unsorted": true,
    "empty": true
  },
  "size": 0,
  "content": [
    {
      "id": 0,
      "name": "string",
      "projects": [
        {
          "id": 0,
          "name": "string"
        }
      ]
    }
  ],
  "first": true,
  "last": true,
  "pageable": {
    "sort": {
      "sorted": true,
      "unsorted": true,
      "empty": true
    },
    "offset": 0,
    "paged": true,
    "unpaged": true,
    "pageNumber": 0,
    "pageSize": 0
  },
  "numberOfElements": 0,
  "empty": true
}

tokens

/api/v2/tokens/validate 📋 Copied! Validate a Token

Parameters

No parameters

Request body required

{
  "token": "string"
}

Responses

Code Description
200

Validated Token with ID.

Media type: application/json

Example Value:

{
  "id": 0,
  "token": "string"
}
400

Invalid token.

/api/v2/tokens 📋 Copied! List Tokens

Parameters

Name Description
page The page to list entries.
Type: string (query)
Default value: 0
size The page size for listing entries.
Type: string (query)
Default value: 20
sort The sort type for listing entries.
Type: string (query)

Responses

Code Description
200

OK

Media type: application/json

Example Value:

{
  "totalElements": 0,
  "totalPages": 0,
  "number": 0,
  "sort": {
    "sorted": true,
    "unsorted": true,
    "empty": true
  },
  "size": 0,
  "content": [
    {
      "id": 0,
      "token": "string"
    }
  ],
  "first": true,
  "last": true,
  "pageable": {
    "sort": {
      "sorted": true,
      "unsorted": true,
      "empty": true
    },
    "offset": 0,
    "paged": true,
    "unpaged": true,
    "pageNumber": 0,
    "pageSize": 0
  },
  "numberOfElements": 0,
  "empty": true
}
/api/v2/tokens 📋 Copied! Create a Token

Parameters

No parameters

Request body required

{
  "mobileId": 0,
  "fullControl": true,
  "expiryHours": 0
}

Responses

Code Description
201

Created Token with ID.

Media type: application/json

Example Value:

{
  "id": 0,
  "token": "string"
}
/api/v2/tokens/{} 📋 Copied! Delete a Token

Parameters

Name Description
id Numeric ID of the Token.
Type: integer (path)

Responses

Code Description
200 Token was deleted successfully.
404 Resource was not found.
409 Resource cannot be deleted.

tracefilters

/api/v2/tracefilters/{id} 📋 Copied! Get Trace Filter Details

Parameters

Name Description
id * Numeric ID of the Trace Filter.
Type: integer (path)

Responses

Code Description
200

Trace Filter data.

Media type: application/json

Example Value:

{
    "id": 0,
    "name": "string",
    "filter": "string",
    "projects": [
        {
            "id": 0,
            "name": "string"
        }
    ]
}
404

Resource was not found.

Media type: application/json

Example Value:

{
    "id": 0,
    "name": "string",
    "filter": "string",
    "projects": [
        {
            "id": 0,
            "name": "string"
        }
    ]
}
/api/v2/tracefilters/{id} 📋 Copied! Update a Trace Filter

Parameters

Name Description
id * Numeric ID of the Trace Filter.
Type: integer (path)

Request body required

{
    "name": "string",
    "filter": "string"
}

Responses

Code Description
200

Trace Filter was updated successfully.

404

Resource was not found.

/api/v2/tracefilters/{id} 📋 Copied! Delete a Trace Filter

Parameters

Name Description
id * Numeric ID of the Trace Filter.
Type: integer (path)

Responses

Code Description
200 Trace Filter was deleted successfully.
404 Resource was not found.
409 Resource cannot be deleted.
/api/v2/tracefilters 📋 Copied! List Trace Filters

Parameters

Name Description
page The page to list entries.
Type: string (query)
Default value: 0
size The page size for listing entries.
Type: string (query)
Default value: 20
sort The sort type for listing entries.
Type: string (query)
prj The project list for filtering entries.
Type: string (query)

Responses

Code Description
200

OK

Media type: application/json

Example Value:

{
    "totalElements": 0,
    "totalPages": 0,
    "number": 0,
    "sort": {
        "sorted": true,
        "unsorted": true,
        "empty": true
    },
    "size": 0,
    "content": [
        {
            "id": 0,
            "name": "string",
            "projects": [
                {
                    "id": 0,
                    "name": "string"
                }
            ]
        }
    ],
    "first": true,
    "last": true,
    "pageable": {
        "sort": {
            "sorted": true,
            "unsorted": true,
            "empty": true
        },
        "offset": 0,
        "paged": true,
        "unpaged": true,
        "pageNumber": 0,
        "pageSize": 0
    },
    "numberOfElements": 0,
    "empty": true
}
/api/v2/tracefilters 📋 Copied! Create a Trace Filter

Parameters

No parameters

Request body required

{
    "name": "string",
    "filter": "string"
}

Responses

Code Description
201

ID of the Trace Filter.

Media type: application/json

Example Value:

{
    "id": 0
}
409

Name needs to be unique.

Media type: application/json

Example Value:

{
    "id": 0
}

apiclients

projects

/api/v2/projects/{id} 📋 Copied! Get a Project details

Parameters

Name Description
id * Numeric ID of the Project.
Type: integer (path)

Responses

Code Description
200

Project was retrieved successfully.

Media type: application/json

Example Value:

{
"id": 0,
"name": "string"
}
404

Resource was not found.

Media type: application/json

Example Value:

{
"id": 0,
"name": "string"
}
/api/v2/projects/{id} 📋 Copied! Update a Project

Parameters

Name Description
id * Numeric ID of the Project.
Type: integer (path)

Request body *

{
"name": "string"
}

Responses

Code Description
200

Project was updated successfully.

Media type: application/json

Example Value:

{
"id": 0,
"name": "string"
}
404

Resource was not found.

Media type: application/json

Example Value:

{
"id": 0,
"name": "string"
}
/api/v2/projects/{id} 📋 Copied! Delete a Project

Parameters

Name Description
id * Numeric ID of the Project.
Type: integer (path)

Responses

Code Description
200 Project was deleted successfully.
404 Resource was not found.
409 Resource cannot be deleted.
/api/v2/projects/listAssignments 📋 Copied! List Project Assignments Client

Parameters

No parameters

Request body *

{
"entityType": "TEST_NODE",
"entityIds": [0]
}

Responses

Code Description
200

Listing was processed successfully.

Media type: application/json

Example Value:

{
"entityType": "TEST_NODE",
"assignments": {
    "additionalProp1": [
        {
            "id": 0,
            "name": "string"
        }
    ],
    "additionalProp2": [
        {
            "id": 0,
            "name": "string"
        }
    ],
    "additionalProp3": [
        {
            "id": 0,
            "name": "string"
        }
    ]
}
}
404

Resource was not found.

Media type: application/json

Example Value:

{
"entityType": "TEST_NODE",
"assignments": {
    "additionalProp1": [
        {
            "id": 0,
            "name": "string"
        }
    ],
    "additionalProp2": [
        {
            "id": 0,
            "name": "string"
        }
    ],
    "additionalProp3": [
        {
            "id": 0,
            "name": "string"
        }
    ]
}
}
/api/v2/projects/assignments 📋 Copied! Handle Project Assignments Client

Parameters

No parameters

Request body *

{
"entityType": "TEST_NODE",
"entityIds": [0],
"projectIds": [0]
}

Responses

Code Description
200

Action was handled successfully.

Media type: application/json

Example Value:

{
"entityType": "TEST_NODE",
"entityIds": [0],
"projectIds": [0]
}
404

Resource was not found.

Media type: application/json

Example Value:

{
"entityType": "TEST_NODE",
"entityIds": [0],
"projectIds": [0]
}
/api/v2/projects 📋 Copied! List Projects

Parameters

Name Description
page The page to list entries.
Type: string (query)
Default value: 0
size The page size for listing entries.
Type: string (query)
Default value: 20
sort The sort type for listing entries.
Type: string (query)

Responses

Code Description
200

OK

Media type: application/json

Example Value:

{
"totalElements": 0,
"totalPages": 0,
"number": 0,
"sort": {
    "sorted": true,
    "unsorted": true,
    "empty": true
},
"size": 0,
"content": [
    {
        "id": 0,
        "name": "string"
    }
],
"first": true,
"last": true,
"pageable": {
    "sort": {
        "sorted": true,
        "unsorted": true,
        "empty": true
    },
    "offset": 0,
    "paged": true,
    "unpaged": true,
    "pageNumber": 0,
    "pageSize": 0
},
"numberOfElements": 0,
"empty": true
}
/api/v2/projects 📋 Copied! Create a Project Client

Parameters

No parameters

Request body *

{
"name": "string",
"entityType": "TEST_NODE",
"entityIds": [0]
}

Responses

Code Description
201

ID of the Project.

Media type: application/json

Example Value:

{
"id": 0
}
409

Name needs to be unique.

Media type: application/json

Example Value:

{
"id": 0
}

testsuites

/api/v2/testsuites/{id} 📋 Copied! Get Test Suite Details

Parameters

Name Description
id * Numeric ID of the Test Suite.
Type: integer (path)

Responses

Code Description
200

Test Suite data.

Media type: application/json

Example Value:

{
"id": 0,
"name": "string",
"description": "string",
"testCaseIds": [
    {
        "id": 0,
        "name": "string"
    }
],
"schedule": {
    "startTime": "string",
    "repeating": true,
    "repeatPeriod": 0,
    "repeatUnit": "string"
},
"tags": "string",
"notifyFailureThresholdPercentage": 100,
"disabled": true,
"notifEmail": "string",
"failureNotifEmail": "string",
"skipInitialization": true,
"projects": [
    {
        "id": 0,
        "name": "string"
    }
]
}
404

Resource was not found.

Media type: application/json

Example Value:

{
"id": 0,
"name": "string",
"description": "string",
"testCaseIds": [
    {
        "id": 0,
        "name": "string"
    }
],
"schedule": {
    "startTime": "string",
    "repeating": true,
    "repeatPeriod": 0,
    "repeatUnit": "string"
},
"tags": "string",
"notifyFailureThresholdPercentage": 100,
"disabled": true,
"notifEmail": "string",
"failureNotifEmail": "string",
"skipInitialization": true,
"projects": [
    {
        "id": 0,
        "name": "string"
    }
]
}
/api/v2/testsuites/{id} 📋 Copied! Update a Test Suite

Parameters

Name Description
id * Numeric ID of the Test Suite.
Type: integer (path)

Request body *

{
"name": "string",
"description": "string",
"testCaseIds": [
    {
        "id": 0,
        "name": "string"
    }
],
"schedule": {
    "startTime": "string",
    "repeating": true,
    "repeatPeriod": 0,
    "repeatUnit": "string"
},
"tags": "string",
"notifyFailureThresholdPercentage": 100,
"disabled": true,
"notifEmail": "string",
"failureNotifEmail": "string",
"skipInitialization": true,
"projects": [
    {
        "id": 0,
        "name": "string"
    }
]
}

Responses

Code Description
200

Test Suite was updated successfully.

Media type: application/json

404

Resource was not found.

Media type: application/json

/api/v2/testsuites/{id} 📋 Copied! Delete a Test Suite

Parameters

Name Description
id * Numeric ID of the Test Suite.
Type: integer (path)

Responses

Code Description
200

Test Suite was deleted successfully.

Media type: application/json

404

Resource was not found.

Media type: application/json

/api/v2/testsuites/{id}/execute 📋 Copied! Execute a Test Suite

Parameters

Name Description
id * Numeric ID of the Test Suite.
Type: integer (path)

Responses

Code Description
200

ID of the Test Execution.

Media type: application/json

Example Value:

{
"id": 0
}
404

Resource was not found.

Media type: application/json

Example Value:

{
"id": 0
}
409

Test Suite cannot be executed.

Media type: application/json

Example Value:

{
"id": 0
}
/api/v2/testsuites/{id}/cancel 📋 Copied! Cancel a Test Suite execution

Parameters

Name Description
id * Numeric ID of the Test Suite.
Type: integer (path)

Responses

Code Description
200

ID of the Test Execution.

Media type: application/json

Example Value:

{
"id": 0
}
404

Resource was not found.

Media type: application/json

Example Value:

{
"id": 0
}
409

Test Suite execution cannot be cancelled.

Media type: application/json

Example Value:

{
"id": 0
}
/api/v2/testsuites 📋 Copied! List Test Suites

Parameters

Name Description
page The page to list entries.
Type: string (query)
Default value: 0
size The page size for listing entries.
Type: string (query)
Default value: 20
sort The sort type for listing entries.
Type: string (query)
prj The project list for filtering entries.
Type: string (query)
filterName The name/type of the filter.
Type: string (query)
filterValue The value of the filter.
Type: string (query)

Responses

Code Description
200

OK

Media type: application/json

Example Value:

{
"totalElements": 0,
"totalPages": 0,
"number": 0,
"sort": {
    "sorted": true,
    "unsorted": true,
    "empty": true
},
"size": 0,
"content": [
    {
        "id": 0,
        "name": "string",
        "description": "string",
        "testCaseNames": [
            "string"
        ],
        "nextRunTime": "string",
        "schedule": {
            "startTime": "string",
            "repeating": true,
            "repeatPeriod": 0,
            "repeatUnit": "string"
        },
        "status": "string",
        "lastExecutionId": 0,
        "lastExecutionTime": "string",
        "statistics": {
            "tsExecution": 0,
            "tsAvgExecutionTime": 0,
            "tcExecution": 0,
            "tcSuccess": 0
        },
        "notifEmail": "string",
        "updated": "string",
        "projects": [
            {
                "id": 0,
                "name": "string"
            }
        ]
    }
],
"first": true,
"last": true,
"pageable": {
    "sort": {
        "sorted": true,
        "unsorted": true,
        "empty": true
    },
    "offset": 0,
    "paged": true,
    "unpaged": true,
    "pageNumber": 0,
    "pageSize": 0
},
"numberOfElements": 0,
"empty": true
}
/api/v2/testsuites 📋 Copied! Create a Test Suite

Request Body *

{
"name": "string",
"description": "string",
"testCaseIds": [
    0
],
"testCaseWeights": [
    0
],
"schedule": {
    "startTime": "string",
    "repeating": true,
    "repeatPeriod": 0,
    "repeatUnit": "string"
},
"tags": "string",
"notifyFailureThresholdPercentage": 100,
"disabled": true,
"notifEmail": "string",
"failureNotifEmail": "string",
"skipInitialization": true
}

Responses

Code Description
201

ID of the Test Suite.

Media type: application/json

Example Value:

{
"id": 0
}
409

Name needs to be unique.

Media type: application/json

Example Value:

{
"id": 0
}

testcases

/api/v2/testcases/{id} 📋 Copied! Get Test Case Details

Parameters

Name Description
id * Numeric ID of the Test Case.
Type: integer (path)

Responses

Code Description
200

Test Case data.

Media type: application/json

Example Value:

{
"id": 0,
"name": "string",
"description": "string",
"testStepList": [
    {
        "additionalProp1": {},
        "additionalProp2": {},
        "additionalProp3": {}
    }
],
"tags": "string",
"disableReason": "string",
"notes": "string",
"disabled": true,
"traceFilters": [
    {
        "mobileDeviceId": 0,
        "traceFilterId": 0,
        "mobileDeviceName": "string",
        "msisdn": "stringstr"
    }
],
"sipTraceFilters": [
    {
        "mobileDeviceId": 0,
        "sipMessageCodes": "string",
        "mobileDeviceName": "string",
        "msisdn": "stringstr"
    }
],
"projects": [
    {
        "id": 0,
        "name": "string"
    }
]
}
404

Resource was not found.

Media type: application/json

Example Value:

{
"id": 0,
"name": "string",
"description": "string",
"testStepList": [
    {
        "additionalProp1": {},
        "additionalProp2": {},
        "additionalProp3": {}
    }
],
"tags": "string",
"disableReason": "string",
"notes": "string",
"disabled": true,
"traceFilters": [
    {
        "mobileDeviceId": 0,
        "traceFilterId": 0,
        "mobileDeviceName": "string",
        "msisdn": "stringstr"
    }
],
"sipTraceFilters": [
    {
        "mobileDeviceId": 0,
        "sipMessageCodes": "string",
        "mobileDeviceName": "string",
        "msisdn": "stringstr"
    }
],
"projects": [
    {
        "id": 0,
        "name": "string"
    }
]
}
/api/v2/testcases/{id} 📋 Copied! Update a Test Case

Parameters

Name Description
id * Numeric ID of the Test Case.
Type: integer (path)

Responses

Code Description
200

Test Case was updated successfully.

Media type: application/json

Example Value:

{
"name": "string",
"description": "string",
"testStepList": [
    {
        "additionalProp1": {},
        "additionalProp2": {},
        "additionalProp3": {}
    }
],
"tags": "string",
"disableReason": "string",
"notes": "string",
"disabled": true,
"traceFilters": [
    {
        "mobileDeviceId": 0,
        "traceFilterId": 0
    }
],
"sipTraceFilters": [
    {
        "mobileDeviceId": 0,
        "sipMessageCodes": "string"
    }
]
}
404

Resource was not found.

Media type: application/json

Example Value:

{
"name": "string",
"description": "string",
"testStepList": [
    {
        "additionalProp1": {},
        "additionalProp2": {},
        "additionalProp3": {}
    }
],
"tags": "string",
"disableReason": "string",
"notes": "string",
"disabled": true,
"traceFilters": [
    {
        "mobileDeviceId": 0,
        "traceFilterId": 0
    }
],
"sipTraceFilters": [
    {
        "mobileDeviceId": 0,
        "sipMessageCodes": "string"
    }
]
}
/api/v2/testcases/{id} 📋 Copied! Delete a Test Case

Parameters

Name Description
id * Numeric ID of the Test Case.
Type: integer (path)

Responses

Code Description
200 Test Case was deleted successfully.
404 Resource was not found.
409 Resource cannot be deleted.
/api/v2/testcases/import 📋 Copied! Import Test Case's

Parameters

No parameters

Request body

application/json

Example Value:

[
{
"name": "string",
"description": "string",
"testStepList": [
    {
        "additionalProp1": {},
        "additionalProp2": {},
        "additionalProp3": {}
    }
],
"tags": "string",
"disableReason": "string",
"notes": "string",
"disabled": true,
"traceFilters": [
    {
        "mobileDeviceId": 0,
        "traceFilterId": 0
    }
],
"sipTraceFilters": [
    {
        "mobileDeviceId": 0,
        "sipMessageCodes": "string"
    }
]
}
]
                

Responses

Code Description
200

OK

Media type: application/json

Example Value:

{
"ids": [
    0
]
}
                            
/api/v2/testcases/export 📋 Copied! Export Test Case's

Parameters

No parameters

Request body

application/json

Example Value:

{
"ids": [
    0
]
}

Responses

Code Description
200

OK

Media type: application/json

Example Value:

[
{
"id": 0,
"name": "string",
"description": "string",
"testStepList": [
    {
        "additionalProp1": {},
        "additionalProp2": {},
        "additionalProp3": {}
    }
],
"tags": "string",
"disableReason": "string",
"notes": "string",
"disabled": true,
"traceFilters": [
    {
        "mobileDeviceId": 0,
        "traceFilterId": 0,
        "mobileDeviceName": "string",
        "msisdn": "stringstr"
    }
],
"sipTraceFilters": [
    {
        "mobileDeviceId": 0,
        "sipMessageCodes": "string",
        "mobileDeviceName": "string",
        "msisdn": "stringstr"
    }
],
"projects": [
    {
        "id": 0,
        "name": "string"
    }
],
"devices": [
    {
        "id": 0,
        "name": "string",
        "msisdn": "stringstr",
        "imsi": "string",
        "imei": "stringstringstr",
        "ranType": "string",
        "testNodeId": 0,
        "testNodeName": "string",
        "deviceModelId": 0,
        "deviceModelName": "string",
        "subscriptionType": "string",
        "platformName": "string",
        "deviceId": "string",
        "nationalFormat": "string",
        "internationalFormat": "string",
        "iccid": "string",
        "eid": "string",
        "projects": [
            {
                "id": 0,
                "name": "string"
            }
        ]
    }
],
"apiClients": [
    {
        "basicAuthViaSecrets": true,
        "name": "string",
        "apiClientAuthType": "NONE",
        "headerParams": {
            "additionalProp1": "string",
            "additionalProp2": "string",
            "additionalProp3": "string"
        },
        "authParams": {
            "additionalProp1": "string",
            "additionalProp2": "string",
            "additionalProp3": "string"
        },
        "serverURL": "string",
        "payload": "string",
        "httpMethod": "string",
        "failureRegexBody": "string",
        "username": "string",
        "password": "string",
        "tokenEndpointForOAuth2": "string",
        "oauth2Scopes": "string",
        "id": 0,
        "projects": [
            {
                "id": 0,
                "name": "string"
            }
        ]
    }
]
}
]
/api/v2/testcases 📋 Copied! List Test Case's

Parameters

Name Description
page (query) The page to list entries. Default value: 0
size (query) The size page for listing entries. Default value: 20
sort (query) The sort type for listing entries.
prj (query) The project list for filtering entries.
filterName (query) The name/type of the filter.
filterValue (query) The value of the filter.

Responses

Code Description
200

OK

Media type: application/json

Example Value:

{
    "totalElements": 0,
    "totalPages": 0,
    "number": 0,
    "sort": {
        "sorted": true,
        "unsorted": true,
        "empty": true
    },
    "size": 0,
    "content": [
        {
            "projects": [
                {
                    "id": 0,
                    "name": "string"
                }
            ],
            "id": 0,
            "name": "string",
            "description": "string",
            "testStepCount": 0,
            "deviceList": [
                "string"
            ],
            "created": "string",
            "updated": "string"
        }
    ],
    "first": true,
    "last": true,
    "pageable": {
        "sort": {
            "sorted": true,
            "unsorted": true,
            "empty": true
        },
        "offset": 0,
        "paged": true,
        "unpaged": true,
        "pageNumber": 0,
        "pageSize": 0
    },
    "numberOfElements": 0,
    "empty": true
}
/api/v2/testcases 📋 Copied! Create a Test Case

Parameters

No parameters

Request body

application/json

Example Value:

{
"name": "string",
"description": "string",
"testStepList": [
    {
        "additionalProp1": {},
        "additionalProp2": {},
        "additionalProp3": {}
    }
],
"tags": "string",
"disableReason": "string",
"notes": "string",
"disabled": true,
"traceFilters": [
    {
        "mobileDeviceId": 0,
        "traceFilterId": 0
    }
],
"sipTraceFilters": [
    {
        "mobileDeviceId": 0,
        "sipMessageCodes": "string"
    }
]
}

Responses

Code Description
201

ID of the Test Case.

Media type: application/json

Example Value:

{
"id": 0
}
409

Name needs to be unique.

Media type: application/json

Example Value:

{
"id": 0
}
/api/v2/testcases/{id}/testsuites 📋 Copied! List Test Suite's for a Test Case

Parameters

Name Description
id * Numeric ID of the Test Case.
Type: integer (path)

Responses

Code Description
200

Test Suite's list.

Media type: application/json

Example Value:

{
    "name": "string"
}
404

Resource was not found.

Media type: application/json

Example Value:

{
    "totalElements": 0,
    "totalPages": 0,
    "number": 0,
    "sort": {
        "sorted": true,
        "unsorted": true,
        "empty": true
    },
    "size": 0,
    "content": [
        {
            "name": "string"
        }
    ],
    "first": true,
    "last": true,
    "pageable": {
        "sort": {
            "sorted": true,
            "unsorted": true,
            "empty": true
        },
        "offset": 0,
        "paged": true,
        "unpaged": true,
        "pageNumber": 0,
        "pageSize": 0
    },
    "numberOfElements": 0,
    "empty": true
}

testnodes

/api/v2/testnodes/{id} 📋 Copied! Get Test Node Details

Parameters

Name Description
id * Numeric ID of the Test Node.
Type: integer (path)

Responses

Code Description
200

Test Node data.

Media type: application/json

Example Value:

{
    "id": 0,
    "name": "string",
    "label": "string",
    "projects": [
        {
            "id": 0,
            "name": "string"
        }
    ]
}
404

Resource was not found.

Media type: application/json

Example Value:

{
    "id": 0,
    "name": "string",
    "label": "string",
    "projects": [
        {
            "id": 0,
            "name": "string"
        }
    ]
}
/api/v2/testnodes/{id} 📋 Copied! Update a Test Node

Parameters

Name Description
id * Numeric ID of the Test Node.
Type: integer (path)

Request body

application/json

Example Value:

{
    "name": "string"
}

Responses

Code Description
200

Test Node was updated successfully.

404

Resource was not found.

/api/v2/testnodes/{id}/action 📋 Copied! Execution Action on a Test Node

Parameters

Name Description
id * Numeric ID of the Test Node.
Type: integer (path)

Request body

application/json

Example Value:

{
    "command": "RESTART_AGENT",
    "params": "string"
}

Responses

Code Description
200

Result of the Action Execution.

Media type: application/json

Example Value:

{
    "status": "string",
    "result": {
        "empty": true,
        "additionalProp1": {},
        "additionalProp2": {},
        "additionalProp3": {}
    }
}
404

Resource was not found.

Media type: application/json

Example Value:

{
    "status": "string",
    "result": {
        "empty": true,
        "additionalProp1": {},
        "additionalProp2": {},
        "additionalProp3": {}
    }
}
409

Action cannot be executed.

Media type: application/json

Example Value:

{
    "status": "string",
    "result": {
        "empty": true,
        "additionalProp1": {},
        "additionalProp2": {},
        "additionalProp3": {}
    }
}
/api/v2/testnodes 📋 Copied! List Test Nodes

Parameters

Name Description
page (query) The page to list entries. Default value: 0
size (query) The page size for listing entries. Default value: 20
sort (query) The sort type for listing entries.
prj (query) The project list for filtering entries.

Responses

Code Description
200

OK

Media type: application/json

Example Value:

{
    "totalElements": 0,
    "totalPages": 0,
    "number": 0,
    "sort": {
        "sorted": true,
        "unsorted": true,
        "empty": true
    },
    "size": 0,
    "content": [
        {
            "id": 0,
            "name": "string",
            "label": "string",
            "projects": [
                {
                    "id": 0,
                    "name": "string"
                }
            ]
        }
    ],
    "first": true,
    "last": true,
    "pageable": {
        "sort": {
            "sorted": true,
            "unsorted": true,
            "empty": true
        },
        "offset": 0,
        "paged": true,
        "unpaged": true,
        "pageNumber": 0,
        "pageSize": 0
    },
    "numberOfElements": 0,
    "empty": true
}
/api/v2/testnodes 📋 Copied! Create a Test Node

Parameters

No parameters

Request body

application/json

Example Value:

{
    "name": "string"
}

Responses

Code Description
201

ID of the Test Node.

Media type: application/json

Example Value:

{
    "id": 0
}
409

Name needs to be unique.

Media type: application/json

Example Value:

{
    "id": 0
}
/api/v2/testnodes/{id}/status 📋 Copied! Check Status of Test Node

Parameters

Name Description
id * Numeric ID of the Test Node.
Type: integer (path)

Responses

Code Description
200

Test Node Status Result.

Media type: application/json

Example Value:

{
    "success": true,
    "message": "string"
}
/api/v2/testnodes/info 📋 Copied! Get Information for Test Nodes

Parameters

No parameters

Responses

Code Description
200

Test Node Info Result.

Media type: application/json

Example Value:

{
    "data": [
        {
            "testNodeId": 0,
            "testNodeLabel": "string",
            "testNodeName": "string",
            "agentData": {
                "created": "2024-07-30T18:51:58.803Z",
                "ipInfo": {
                    "array": true,
                    "empty": true,
                    "null": true,
                    "int": true,
                    "long": true,
                    "short": true,
                    "double": true,
                    "float": true,
                    "object": true,
                    "pojo": true,
                    "number": true,
                    "textual": true,
                    "boolean": true,
                    "binary": true,
                    "nodeType": "ARRAY",
                    "bigDecimal": true,
                    "bigInteger": true,
                    "valueNode": true,
                    "containerNode": true,
                    "missingNode": true,
                    "integralNumber": true,
                    "floatingPointNumber": true
                },
                "version": "string"
            },
            "agentDetailedData": {
                "created": "2024-07-30T18:51:58.803Z",
                "devices": [
                    {
                        "id": 0,
                        "name": "string",
                        "deviceId": "string",
                        "state": "UNAVAILABLE",
                        "data": {
                            "array": true,
                            "empty": true,
                            "null": true,
                            "int": true,
                            "long": true,
                            "short": true,
                            "double": true,
                            "float": true,
                            "object": true,
                            "pojo": true,
                            "number": true,
                            "textual": true,
                            "boolean": true,
                            "binary": true,
                            "nodeType": "ARRAY",
                            "bigDecimal": true,
                            "bigInteger": true,
                            "valueNode": true,
                            "containerNode": true,
                            "missingNode": true,
                            "integralNumber": true,
                            "floatingPointNumber": true
                        }
                    }
                ],
                "stats": {
                    "sqs": {
                        "sendError": 0,
                        "recvError": 0,
                        "delError": 0,
                        "allZeroes": true
                    }
                }
            }
        }
    ]
}

usersapi

/api/v2/users/{id} 📋 Copied! Get User Details

Parameters

Name Description
id * Numeric ID of the User.
Type: integer (path)

Responses

Code Description
200

User data.

Media type: application/json

Example Value:

{
    "id": 0,
    "email": "string",
    "roles": [
        "ADMIN"
    ]
}
404

Resource was not found.

Media type: application/json

Example Value:

{
    "id": 0,
    "email": "string",
    "roles": [
        "ADMIN"
    ]
}
/api/v2/users/{id} 📋 Copied! Update a User

Parameters

Name Description
id * Numeric ID of the User.
Type: integer (path)

Request body

application/json

Example Value:

{
    "role": "ADMIN"
}

Responses

Code Description
200

User was updated successfully.

404

Resource was not found.

/api/v2/users/{id}/delete 📋 Copied! Delete a User

Parameters

Name Description
id * Numeric ID of the User.
Type: integer (path)

Request body

application/json

Example Value:

{
    "newUser": 0
}

Responses

Code Description
200

User was deleted successfully.

404

Resource was not found.

409

Resource cannot be deleted.

/api/v2/users 📋 Copied! Get Current List

Parameters

Name Description
page (query) The page to list entries. Default value: 0
size (query) The page size for listing entries. Default value: 20
sort (query) The sort type for listing entries.
filterName (query) The name/type of the filter.
filterValue (query) The value of the filter.

Responses

Code Description
200

Current User Information.

Media type: application/json

Example Value:

{
    "email": "string",
    "authorities": [
        "string"
    ]
}
/api/v2/users 📋 Copied! Create a User

Parameters

No parameters

Request body

application/json

Example Value:

{
    "email": "string",
    "role": "ADMIN",
    "tempPassword": "string"
}

Responses

Code Description
201

ID of the User.

Media type: application/json

Example Value:

{
    "id": 0
}
409

Email needs to be unique.

Media type: application/json

Example Value:

{
    "id": 0
}
/api/v2/users/me 📋 Copied! Get Current User Info

Parameters

No parameters

Responses

Code Description
200

Current User Information.

Media type: application/json

Example Value:

{
    "email": "string",
    "authorities": [
        "string"
    ]
}

functionparams

/api/v2/functionparams 📋 Copied! List all parameters or required parameters for a function

Parameters

Name Description
function (query) The function for which to get the parameters.

Responses

Code Description
200

All parameters or required parameters for a function.

Media type: application/json

Example Value:

{
    "params": {
        "additionalProp1": [
            {}
        ],
        "additionalProp2": [
            {}
        ],
        "additionalProp3": [
            {}
        ]
    }
}
404

Resource was not found.

Media type: application/json

Example Value:

{
    "params": {
        "additionalProp1": [
            {}
        ],
        "additionalProp2": [
            {}
        ],
        "additionalProp3": [
            {}
        ]
    }
}

devicemodels

/api/v2/devicemodels 📋 Copied! List Device Models

Parameters

Name Description
page (query) The page to list entries. Default value: 0
size (query) The page size for listing entries. Default value: 20
sort (query) The sort type for listing entries.

Responses

Code Description
200

OK

Media type: application/json

Example Value:

{
    "totalElements": 0,
    "totalPages": 0,
    "number": 0,
    "sort": {
        "sorted": true,
        "unsorted": true,
        "empty": true
    },
    "size": 0,
    "content": [
        {
            "id": 0,
            "name": "string",
            "deviceParams": {
                "params": {
                    "additionalProp1": {},
                    "additionalProp2": {},
                    "additionalProp3": {}
                }
            }
        }
    ],
    "first": true,
    "last": true,
    "pageable": {
        "sort": {
            "sorted": true,
            "unsorted": true,
            "empty": true
        },
        "offset": 0,
        "paged": true,
        "unpaged": true,
        "pageNumber": 0,
        "pageSize": 0
    },
    "numberOfElements": 0,
    "empty": true
}

mobiledevices

/api/v2/mobiledevices/{id} 📋 Copied! Get Mobile Device Details

Parameters

Name Description
id (path) Numeric ID of the Mobile Device

Responses

Code Description
200

Mobile Device data.

Media type: application/json

Example Value:

{
    "id": 0,
    "name": "string",
    "msisdn": "stringstr",
    "imsi": "string",
    "imei": "stringstringstr",
    "ranType": "string",
    "testNodeId": 0,
    "testNodeName": "string",
    "deviceModelId": 0,
    "deviceModelName": "string",
    "subscriptionType": "string",
    "platformName": "string",
    "deviceId": "string",
    "nationalFormat": "string",
    "internationalFormat": "string",
    "iccid": "string",
    "eid": "string",
    "projects": [
        {
            "id": 0,
            "name": "string"
        }
    ]
}
404

Resource was not found.

Media type: application/json

Example Value:

{
    "id": 0,
    "name": "string",
    "msisdn": "stringstr",
    "imsi": "string",
    "imei": "stringstringstr",
    "ranType": "string",
    "testNodeId": 0,
    "testNodeName": "string",
    "deviceModelId": 0,
    "deviceModelName": "string",
    "subscriptionType": "string",
    "platformName": "string",
    "deviceId": "string",
    "nationalFormat": "string",
    "internationalFormat": "string",
    "iccid": "string",
    "eid": "string",
    "projects": [
        {
            "id": 0,
            "name": "string"
        }
    ]
}
/api/v2/mobiledevices/{id} 📋 Copied! Update a Mobile Device

Parameters

Name Description
id (path) Numeric ID of the Mobile Device

Request body

application/json

Example Value:

{
    "name": "string",
    "msisdn": "stringstr",
    "imsi": "string",
    "imei": "stringstringstr",
    "ranType": "string",
    "testNodeId": 0,
    "deviceModelId": 0,
    "subscriptionType": "string",
    "platformName": "string",
    "deviceId": "string",
    "nationalFormat": "string",
    "internationalFormat": "string",
    "iccid": "string",
    "eid": "string",
    "ecid": "string"
}

Responses

Code Description
200

Mobile Device was updated successfully.

Media type: application/json

404

Resource was not found.

Media type: application/json

/api/v2/mobiledevices/{id} 📋 Copied! Delete a Mobile Device

Parameters

Name Description
id (path) Numeric ID of the Mobile Device

Responses

Code Description
200

Mobile Device was deleted successfully.

404

Resource was not found.

409

Resource cannot be deleted.

/api/v2/mobiledevices/{id}/action 📋 Copied! Execute Action on a Mobile Device

Parameters

Name Description
id (path) Numeric ID of the Mobile Device

Request body

application/json

Example Value:

{
    "command": "PREPARE",
    "params": "string"
}

Responses

Code Description
200

Result of the Action Execution.

Media type: application/json

Example Value:

{
    "status": "SUCCESS",
    "result": [
        {
            "additionalProp1": {},
            "additionalProp2": {},
            "additionalProp3": {}
        }
    ],
    "error": [
        {
            "additionalProp1": {},
            "additionalProp2": {},
            "additionalProp3": {}
        }
    ],
    "empty": true
}
404

Resource was not found.

Media type: application/json

Example Value:

{
    "status": "FAILURE",
    "result": [
        {
            "additionalProp1": {},
            "additionalProp2": {},
            "additionalProp3": {}
        }
    ],
    "error": [
        {
            "additionalProp1": {},
            "additionalProp2": {},
            "additionalProp3": {}
        }
    ],
    "empty": true
}
409

Action cannot be executed.

Media type: application/json

Example Value:

{
    "status": "FAILURE",
    "result": [
        {
            "additionalProp1": {},
            "additionalProp2": {},
            "additionalProp3": {}
        }
    ],
    "error": [
        {
            "additionalProp1": {},
            "additionalProp2": {},
            "additionalProp3": {}
        }
    ],
    "empty": true
}
/api/v2/mobiledevices 📋 Copied! List Mobile Devices

Parameters

Name Description
page (query) The page to list entries. Default value : 0
size (query) The page size for listing entries. Default value : 20
sort (query) The sort type for listing entries.

Responses

Code Description
200

OK

Media type: application/json

Example Value:

{
    "totalElements": 0,
    "totalPages": 0,
    "number": 0,
    "sort": {
        "sorted": true,
        "unsorted": true,
        "empty": true
    },
    "size": 0,
    "content": [
        {
            "id": 0,
            "name": "string",
            "msisdn": "stringstr",
            "imsi": "string",
            "imei": "stringstringstr",
            "ranType": "string",
            "testNodeId": 0,
            "testNodeName": "string",
            "deviceModelId": 0,
            "deviceModelName": "string",
            "subscriptionType": "string",
            "platformName": "string",
            "deviceId": "string",
            "nationalFormat": "string",
            "internationalFormat": "string",
            "iccid": "string",
            "eid": "string",
            "projects": [
                {
                    "id": 0,
                    "name": "string"
                }
            ]
        }
    ],
    "first": true,
    "last": true,
    "pageable": {
        "sort": {
            "sorted": true,
            "unsorted": true,
            "empty": true
        },
        "offset": 0,
        "paged": true,
        "unpaged": true,
        "pageNumber": 0,
        "pageSize": 0
    },
    "numberOfElements": 0,
    "empty": true
}
/api/v2/mobiledevices 📋 Copied! Create a Mobile Device

Parameters

No parameters

Request body required

Media type: application/json

Example Value:

{
    "name": "string",
    "msisdn": "stringstr",
    "imsi": "string",
    "imei": "stringstringstr",
    "ranType": "string",
    "testNodeId": 0,
    "deviceModelId": 0,
    "subscriptionType": "string",
    "platformName": "string",
    "deviceId": "string",
    "nationalFormat": "string",
    "internationalFormat": "string",
    "iccid": "string",
    "eid": "string"
}

Responses

Code Description
201

ID of the Mobile Device.

Media type: application/json

Example Value:

{
    "id": 0
}
409

Name needs to be unique.

Media type: application/json

Example Value:

{
    "id": 0
}
/api/v2/mobiledevices/{id}/testcases 📋 Copied! List Test Cases using the Mobile Device

Parameters

Name Description
id * Numeric ID of the Mobile Device.
Type: integer (path)
page The page to list entries. Default value: 0.
Type: string (query)
size The page size for listing entries. Default value: 20.
Type: string (query)
sort The sort type for listing entries.
Type: string (query)

Responses

Code Description
200

OK

Media type: application/json

Example Value:

{
  "totalElements": 0,
  "totalPages": 0,
  "number": 0,
  "sort": {
    "sorted": true,
    "unsorted": true,
    "empty": true
  },
  "size": 0,
  "content": [
    {
      "id": 0,
      "name": "string"
    }
  ],
  "first": true,
  "last": true,
  "pageable": {
    "sort": {
      "sorted": true,
      "unsorted": true,
      "empty": true
    },
    "offset": 0,
    "paged": true,
    "unpaged": true,
    "pageNumber": 0,
    "pageSize": 0
  },
  "numberOfElements": 0,
  "empty": true
}
/api/v2/mobiledevices/{id}/status 📋 Copied! Check Status of Mobile Device

Parameters

Name Description
id * Numeric ID of the Mobile Device.
Type: integer (path)

Responses

Code Description
200

OK

Media type: application/json

Example Value:

{
  "upnp": true,
  "netInfo": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "batteryInfo": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  }
}